import pandas as pd

def find_sentences_with_keywords(file_path, keywords):
    # 파일 불러오기 (인코딩 지정)
    df = pd.read_csv(file_path, delimiter='\n', header=None, names=['Sentences'], encoding='cp949')

    # 키워드를 포함하는 문장 찾기
    found_sentences = []
    for sentence in df['Sentences']:
        if all(keyword in sentence for keyword in keywords):
            found_sentences.append(sentence.strip())

    return found_sentences

def save_sentences_to_excel(sentences, keywords, output_file):
    # 데이터프레임 생성
    data = {'Sentences': sentences, 'Keywords': [', '.join(keywords)] * len(sentences)}
    df = pd.DataFrame(data)

    # 엑셀로 저장
    df.to_excel(output_file, index=False)

if __name__ == '__main__':
    file_path = r'C:\Users\gjaischool\PycharmProjects\pythonProject\neroTextRead\금융규제운영규정.txt'

    # 사용자 입력으로 키워드 받기
    keywords = ['금융', '전자']

    # 문장에서 키워드를 찾아서 결과 얻기
    found_sentences = find_sentences_with_keywords(file_path, keywords)

    # 결과 출력
    for sentence in found_sentences:
        print(sentence)

    # 결과를 엑셀 파일로 저장
    output_file = '검색결과.xlsx'
    save_sentences_to_excel(found_sentences, keywords, output_file)




